%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-DBI
Epoch:         1
Version:       1.634
Release:       1mamba
Summary:       DBI - The Perl Database Interface
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it> 
URL:           http://www.cpan.org
Source:        http://www.cpan.org/authors/id/T/TI/TIMB/DBI-%{version}.tar.gz
Patch:         %{name}-1.46-cve_2005_0077.patch
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-Coro
BuildRequires: perl-devel
BuildRequires: perl-PlRPC
%if "%{stage1}" != "1"
BuildRequires: apache-mod_perl
%endif
## AUTOBUILDREQ-END
Requires:      perl >= %{perl_major_ver}
Provides:      perl(DBI::db)
Provides:      perl(DBI::st)
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Perl Database Interface (DBI) is a database access Application Programming Interface (API) for the Perl Language.
The Perl DBI API specification defines a set of functions, variables and conventions that provide a consistent database interface independent of the actual database being used.

#%package ODBC 
#Summary:       Win32 ODBC interface for DBI 
#Group:         Development/Libraries/Perl 
#Requires:      perl-DBI = %{version} 
# 
#%description ODBC 
#Win32 ODBC interface for DBI

%package ProfileDumper-Apache
Summary:       Apache Profile Dumper interface for DBI
Group:         Development/Libraries/Perl
Requires:      perl-DBI = %{?epoch:%epoch:}%{version}-%{release}
Requires:      apache-mod_perl >= 1.99_12

%description ProfileDumper-Apache
Apache Profile Dumper interface for DBI.

%package Proxy
Summary:       Proxy server libraries for DBI
Group:         Development/Libraries/Perl
Requires:      perl-DBI = %{?epoch:%epoch:}%{version}-%{release}
Requires:      perl-PlRPC >= 0.2017

%description Proxy
Proxy server libraries for DBI.

%prep
%setup -q -n DBI-%{version}
#patch -p1 -b .cve_2005_0077

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%ifnarch arm
%make test
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

%define PERL_VENDORARCH %(eval `perl -V:vendorarch`; echo $vendorarch)

# remove Win32 stuff
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"%{PERL_VENDORARCH}/Win32
rm -f %{buildroot}%{PERL_VENDORARCH}/DBI/W32ODBC.pm
rm -f %{buildroot}%{_mandir}/man3/DBI::W32ODBC.3pm
rm -f %{buildroot}%{_mandir}/man3/Win32::DBIODBC.3pm
sed -i '
   /DBI\/W32ODBC.pm/d
   /Win32\/DBIODBC.pm/d
   /DBI::W32ODBC.3pm/d
   /Win32::DBIODBC.3pm/d' .packlist

grep "dbiproxy\|ProxyServer\|Proxy" .packlist > filelist.Proxy
grep "dbiprof\|/ProfileDumper/Apache\|ProfileDumper::Apache" .packlist \
   > filelist.PDApache

#grep "Win32\|W32" .packlist > filelist.ODBC

# now files listed only once are in the main package
cat .packlist filelist.Proxy filelist.PDApache | \
   sort | uniq -u > filelist.main

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f filelist.main filelist.Proxy filelist.PDApache filelist.ODBC

%files -f filelist.main
%defattr(-,root,root)

%files Proxy -f filelist.Proxy
%defattr(-,root,root)

%files ProfileDumper-Apache -f filelist.PDApache
%defattr(-,root,root)

#%files ODBC -f filelist.ODBC
#%defattr(-,root,root)

%changelog
* Mon Jan 25 2016 Automatic Build System <autodist@mambasoft.it> 1.634-1mamba
- automatic update by autodist

* Tue Feb 03 2015 Automatic Build System <autodist@mambasoft.it> 1.633-1mamba
- automatic update by autodist

* Thu Nov 06 2014 Automatic Build System <autodist@mambasoft.it> 1.632-1mamba
- automatic update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 1.631-1mamba
- automatic update by autodist

* Thu Dec 12 2013 Automatic Build System <autodist@mambasoft.it> 1.630-1mamba
- automatic update by autodist

* Tue Aug 13 2013 Automatic Build System <autodist@mambasoft.it> 1.628-1mamba
- automatic update by autodist

* Fri Jun 28 2013 Automatic Build System <autodist@mambasoft.it> 1.627_91-1mamba
- automatic version update by autodist

* Sun May 19 2013 Automatic Build System <autodist@mambasoft.it> 1.627-1mamba
- automatic update by autodist

* Sun Mar 31 2013 Automatic Build System <autodist@mambasoft.it> 1.625-1mamba
- automatic version update by autodist

* Sat Jan 12 2013 Automatic Build System <autodist@mambasoft.it> 1.623-1mamba
- automatic version update by autodist

* Thu Nov 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.622-1mamba
- update to 1.622
- downgrade to stable version (epoch bumped)
- add provides for perl(DBI::db) and perl(DBI::st)

* Sun Nov 04 2012 Automatic Build System <autodist@mambasoft.it> 1.622_911-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 1.622_901-1mamba
- automatic version update by autodist

* Wed Jan 04 2012 Automatic Build System <autodist@mambasoft.it> 1.616_901-1mamba
- automatic version update by autodist

* Sun Jan 16 2011 Automatic Build System <autodist@mambasoft.it> 1.616-1mamba
- automatic update by autodist

* Thu Dec 30 2010 Automatic Build System <autodist@mambasoft.it> 1.615_92-1mamba
- automatic update by autodist

* Wed Dec 22 2010 Automatic Build System <autodist@mambasoft.it> 1.615_90-1mamba
- automatic update by autodist

* Sun Oct 03 2010 Automatic Build System <autodist@mambasoft.it> 1.615-1mamba
- automatic update by autodist

* Mon Aug 16 2010 Automatic Build System <autodist@mambasoft.it> 1.613_70-1mamba
- automatic update by autodist

* Thu Jul 08 2010 Automatic Build System <autodist@mambasoft.it> 1.611_93-1mamba
- automatic update by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 1.611_92-1mamba
- automatic update by autodist

* Sat Mar 13 2010 Automatic Build System <autodist@mambasoft.it> 1.610_90-1mamba
- automatic update by autodist

* Thu Jul 09 2009 Automatic Build System <autodist@mambasoft.it> 1.609-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.604-2mamba
- automatic rebuild by autodist

* Thu May 29 2008 gil <puntogil@libero.it> 1.604-1mamba
- package created by autospec

* Mon Mar 06 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.50-1qilnx
- update to version 1.50 by autospec

* Fri Mar 03 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.46-3qilnx
- security update for CVE-2005-0077
- new value 'vendor' for INSTALLDIRS

* Tue Jan 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.46-2qilnx
- fix for perl version requirement (>= instead of =)

* Tue Jan 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.46-1qilnx
- update to version 1.46 by autospec

* Thu Jan 08 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.39-1qilnx
- rebuilt with perl 5.8.2
- fixed perl-DBI-Proxy requirements (RPC::PlServer, RPC::PlClient)
- removed useless Win32 code

* Fri Jan 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.38-2qilnx
- rebuilt with Perl 5.8.1
- specfile updated, added documentation and missing dependencies

* Wed Sep 03 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.38-1qilnx
- first build
